> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get chains list

> This endpoint returns a list of supported blockchains available for exchange and transactions in the Rubic API. Each blockchain object contains a name, an identifier, list of providers that support this blockchain, the type of blockchain and whether fee collection is available in this blockchain (proxyAvailable field)



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json get /api/info/chains
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/info/chains:
    get:
      tags:
        - Info
      summary: Get chains list
      description: >-
        This endpoint returns a list of supported blockchains available for
        exchange and transactions in the Rubic API. Each blockchain object
        contains a name, an identifier, list of providers that support this
        blockchain, the type of blockchain and whether fee collection is
        available in this blockchain (proxyAvailable field)
      operationId: InfoController_getBlockchains
      parameters:
        - name: includeTestnets
          required: false
          in: query
          schema:
            default: false
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ChainDto'
        default:
          description: ''
          content:
            application/json:
              schema:
                type: array
components:
  schemas:
    ChainDto:
      type: object
      properties:
        name:
          type: object
          description: Chain name
        type:
          type: string
          description: Chain type
        id:
          type: number
          nullable: true
          description: Chain ID
        proxyAvailable:
          type: boolean
          description: Is proxy available
        testnet:
          type: boolean
          description: Is testnet
      required:
        - name
        - type
        - id
        - proxyAvailable
        - testnet

````